<h1 mat-dialog-title>Manage Skills</h1>
<div mat-dialog-content>
 <h2>Add New Skill</h2>
 <form [formGroup]="skillForm">
  <mat-form-field appearance="outline" style="width: 50%;">
    <mat-label>Skill Name</mat-label>
    <input matInput placeholder="Skill Name" formControlName="skillName" #skillName/>
    <mat-hint>Enter Skill name</mat-hint>
  </mat-form-field>
  <button mat-raised-button color="primary" style="margin-left: 3%;" [disabled]="skillName.value==''" (click)="addNewSkill(skillName.value)">
    Add Skill
  </button><br>
  <span style="color: red;">{{skilladdedMessage}}</span>
  </form>
  <mat-divider></mat-divider>
  <h2>Added Skills</h2>
  <mat-chip-list class="mat-chip-list-stacked" aria-label="Color selection">
    <mat-chip color="primary" *ngFor="let skill of skills" selected>{{skill.skillName}}</mat-chip>
  </mat-chip-list>
</div>
<div mat-dialog-actions>
  <button mat-raised-button color="primary" mat-dialog-close>
    Close
  </button>
</div>
